DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ErfClip

Point Operation

## SYNOPSIS

`#include "dip_point.h"`

dip_Error dip_ErfClip ( in, out, threshold, range, clipFlag )

## DATA TYPES

integer, float

## FUNCTION

Clips `in` using the erf function at either or both the values `threshold +/- range/2`. If the flag `DIP_CLIP_LOW_AND_HIGH_BOUNDS` is specified, `threshold` and `range` are used as lower and upper bounds respectively.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `threshold` | Threshold value
`dip_float` | `range` | Range value
`dipf_Clip` | `clipFlag` | clipFlag

The following `dipf_Clip` flags are defined:

Name | Description
`DIP_CLIP_BOTH` | clip both the lower and upper bound
`DIP_CLIP_LOW` | clip lower bound only
`DIP_CLIP_HIGH` | clip upper bound only
`DIP_CLIP_THRESHOLD_AND_RANGE` | same as `DIP_CLIP_BOTH`
`DIP_CLIP_LOW_AND_HIGH_BOUNDS` | use `threshold` and `range` as lower and upper bounds

## LITERATURE

L.J. van Vliet, Grey-Scale Measurements in Multi-Dimensional Digitized Images, Ph.D. thesis Delft University of Technology, Delft University Press, Delft, 1993

## SEE ALSO

`Clip`, `ContrastStretch`